MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/filter_config.h File Reference

Utility functions for filter configuration. More...

`#include "conf.h"`
`#include "filter/chain_filter_plugin.h"`
`#include "filter_plugin.h"`
`#include "filter_internal.h"`
`#include "filter_registry.h"`

Go to the source code of this file.

## Functions
unsigned int | filter_chain_parse (struct filter *chain, const char *spec, GError **error_r)
| Builds a filter chain from a configuration string on the form "name1, name2, name3, ..." by looking up each name among the configured filter sections.

## Detailed Description

Utility functions for filter configuration.

Definition in file filter_config.h.

## Function Documentation

unsigned int filter_chain_parse | ( | struct filter * | chain,
|  | const char * | spec,
|  | GError ** | error_r
| ) |  |

Builds a filter chain from a configuration string on the form "name1, name2, name3, ..." by looking up each name among the configured filter sections.

Parameters:

  chain | the chain to append filters on
  spec | the filter chain specification
  error_r | space to return an error description

Returns:
  the number of filters which were successfully added